/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'uiComponent'
], function (
    $,
    ko,
    Component
) {
    'use strict';

    /**
     * @var {Component} self
     */
    var self;

    return Component.extend({
        /** @inheritdoc */
        initialize: function () {
            this._super();

            $('#wtaiPromptFooter > *').applyBindings(this);

            self = this;
        },

        /** @inheritdoc */
        initObservable: function () {
            this._super().observe([]);

            return this;
        }
    });
});
